Summary: KildClient is a mud client using the GTK toolkit.
Name: kildclient
Version: 3.2.0
Release: 1%{dist}
License: GNU GPLv2
Group: Applications/Games
URL: https://sourceforge.net/projects/kildclient/
Packager: Leon Grünewald <l_gruenewald@web.de>
Source: https://download.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc-c++
BuildRequires: glib2-devel >= 2.32.0
BuildRequires: gtk3-devel >= 3.22.0
BuildRequires: gtkspell3-devel
BuildRequires: gnutls-devel >= 2.10.0
BuildRequires: perl-devel >= 5.8.3
BuildRequires: perl-XML-LibXML
BuildRequires: perl-ExtUtils-Embed
BuildRequires: zlib-devel
BuildRequires: gettext >= 0.14.5
BuildRequires: desktop-file-utils
Requires: desktop-file-utils
Requires: perl-JSON
Requires: perl-XML-LibXML

%description
KildClient is a MUD client using the GTK+ toolkit. Its main feature is
the support for Perl scripting, which allows you to do basically
whatever you want. Other standard features of mud clients (triggers,
gags, macros, etc.) are also supported. See the features page for a
more detailed list of features.

%prep
%setup -q

%build
./autogen.sh
./configure CFLAGS="-rdynamic"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}/usr/local/share/doc/kildclient/* -rf

%files
/usr/local/bin/kildclient
/usr/local/share/applications/kildclient.desktop
/usr/local/share/kildclient/MSDP.pm
/usr/local/share/kildclient/kcworld.dtd
/usr/local/share/kildclient/kildclient.hlp
/usr/local/share/kildclient/kildclient.pl
/usr/local/share/kildclient/plugins/KCWin.pl
/usr/local/share/kildclient/plugins/channels.pl
/usr/local/share/kildclient/plugins/chat.pl
/usr/local/share/kildclient/plugins/easypath.pl
/usr/local/share/kildclient/plugins/kc256.pl
/usr/local/share/kildclient/plugins/keypad.pl
/usr/local/share/kildclient/plugins/notes.pl
/usr/local/share/kildclient/plugins/serverdatadumper.pl
/usr/local/share/locale/de/LC_MESSAGES/kildclient.mo
/usr/local/share/locale/eo/LC_MESSAGES/kildclient.mo
/usr/local/share/locale/es/LC_MESSAGES/kildclient.mo
/usr/local/share/locale/pt_BR/LC_MESSAGES/kildclient.mo
/usr/local/share/locale/sv/LC_MESSAGES/kildclient.mo
/usr/local/share/pixmaps/kildclient.png
/usr/local/share/pixmaps/kildclient.xpm
%doc /usr/local/share/man/man6/kildclient.6